Page MenuHomePhabricator

Add C++ dependencies to xray runtime
ClosedPublic

Authored by dberris on Jul 5 2016, 12:35 AM.

Details

Summary

Depends on D21982 which implements the in-memory logging implementation of the
XRay runtime. These additional changes also depends on D20352 which adds the
bulk of XRay flags/dependencies when using the -fxray-instrument flag from
Clang.

Diff Detail

Repository
rL LLVM

Event Timeline

dberris updated this revision to Diff 62721.Jul 5 2016, 12:35 AM
dberris retitled this revision from to Add C++ dependencies to xray runtime.
dberris updated this object.
dberris added reviewers: echristo, rnk, aaron.ballman.
dberris added a subscriber: cfe-commits.
dberris updated this revision to Diff 63040.Jul 7 2016, 1:54 AM
  • Check first whether D is actually not nullptr
aaron.ballman accepted this revision.Jul 7 2016, 5:33 AM
aaron.ballman edited edge metadata.

LGTM (once other deps land).

This revision is now accepted and ready to land.Jul 7 2016, 5:33 AM
dberris updated this revision to Diff 63916.Jul 13 2016, 9:58 PM
dberris edited edge metadata.

Rebase

dberris updated this revision to Diff 63917.Jul 13 2016, 9:59 PM
  • Undo unnecessary formatting change
This revision was automatically updated to reflect the committed changes.